netatalk: comment.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
comment.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Data Structures
struct | papd_comment
struct | comstate

## Macros
#define | CH_DONE 0
#define | CH_MORE 1
#define | CH_ERROR -1
#define | compeek()
#define | comgetflags()
#define | comsetflags(f)
#define | C_FULL (1<<0)
#define | C_CONTINUE (1<<1)
#define | CM_NOPRINT (1<<16)

## Functions
struct papd_comment * | commatch (char *start, char *end, struct papd_comment *table)
void | compop (void)
void | compush (struct papd_comment *)
int | comswitch (struct papd_comment *, int(*)(struct papfile *, struct papfile *, struct sockaddr_at *))
int | comcmp (char *, char *, char *, int)
char * | comtoken (char *, char *, char *, char *)

## Variables
struct comstate * | comstate
struct papd_comment | magics []
struct papd_comment | queries []
struct papd_comment | headers []
char * | comcont

## Macro Definition Documentation

## ◆ C_CONTINUE

#define C_CONTINUE (1<<1)

## ◆ C_FULL

#define C_FULL (1<<0)

or prefix

## ◆ CH_DONE

#define CH_DONE 0

## ◆ CH_ERROR

#define CH_ERROR -1

## ◆ CH_MORE

#define CH_MORE 1

## ◆ CM_NOPRINT

#define CM_NOPRINT (1<<16)

or print

## ◆ comgetflags

#define comgetflags | ( |  | ) |

Value:
(comstate->cs_flags)
comstate
Definition comment.h:25
comstate::cs_flags
int cs_flags
Definition comment.h:28

## ◆ compeek

#define compeek | ( |  | ) |

Value:
(comstate==NULL?NULL:(comstate->cs_comment))
comstate::cs_comment
struct papd_comment * cs_comment
Definition comment.h:26
NULL
#define NULL
Definition utf8util.c:47

## ◆ comsetflags

#define comsetflags | ( |  | f | ) |

Value:
(comstate->cs_flags=(f))

## Function Documentation

## ◆ comcmp()

int comcmp | ( | char * | start,
|  | char * | stop,
|  | char * | str,
|  | int | how )

## ◆ commatch()

struct papd_comment * commatch | ( | char * | start,
|  | char * | end,
|  | struct papd_comment * | table )
| extern

## ◆ compop()

void compop | ( | void |  | ) |

## ◆ compush()

void compush | ( | struct papd_comment * | comment | ) |

## ◆ comswitch()

int comswitch | ( | struct papd_comment * | ,
|  | int(* | )(struct papfile *, struct papfile *, struct sockaddr_at *) )

## ◆ comtoken()

char * comtoken | ( | char * | ,
|  | char * | ,
|  | char * | ,
|  | char * | )

## Variable Documentation

## ◆ comcont

char* comcont
| extern

## ◆ comstate

struct comstate* comstate
| extern

## ◆ headers

struct papd_comment headers[]
| extern

## ◆ magics

struct papd_comment magics[]
| extern

## ◆ queries

struct papd_comment queries[]
| extern

All queries start with %%?Begin and end with %%?End. Note that the "Begin"/"End" general queries have to be last.